## bumblebee-status 2.2.0

=== util/Makefile ===
CC=gcc
CFLAGS=

%.o: %.c
	$(CC) -c -o $@ $< $(CFLAGS)

../bin/get-kbd-layout: layout.o
	$(CC) -o $@ layout.o -lX11

.PHONY: clean

clean:
	rm -f *.o

## bumblebee-status 2.1.6

=== debian/changelog ===
bumblebee-status (2.1.6-1) unstable; urgency=medium

  [ Ben Westover ]
  * New upstream version
    + Move from experimental to unstable post crossing NEW
  * Remove patches that have since been fixed upstream
    + Hardening, X11 dep, and repack no longer needed after C program removed
    + Versioneer fixed, no need for patch and repack
    + Privacy breach in docs fixed
  * Remove maintainer manpages that have since been integrated upstream
  * Create gbp.conf
  * Update email in control, changelog, and copyright

  [ Nilesh Patra ]
  * d/rules: Export LC_ALL and LANGUAGE to make package reproducible
  * d/control: Un-duplicate the desc in -doc package

 -- Ben Westover <me@benthetechguy.net>  Tue, 27 Sep 2022 01:01:27 +0530

bumblebee-status (2.1.5+dfsg2-1) experimental; urgency=medium

  * Initial Package (Closes: #1010044)

 -- Ben Westover <kwestover.kw@gmail.com>  Thu, 09 Jun 2022 13:14:46 -0400

=== debian/control ===
Source: bumblebee-status
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Ben Westover <me@benthetechguy.net>
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 python3-all,
 python3-setuptools,
 python3-sphinx,
 python3-sphinx-rtd-theme,
 python3-tk
Standards-Version: 4.6.1
Vcs-Git: https://salsa.debian.org/python-team/packages/bumblebee-status.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/bumblebee-status
Homepage: https://github.com/tobi-wan-kenobi/bumblebee-status
Rules-Requires-Root: no
Testsuite: autopkgtest-pkg-python

Package: bumblebee-status
Architecture: any
Depends: ${python3:Depends}, ${misc:Depends}, ${shlibs:Depends}
Recommends: i3-wm, fonts-font-awesome, fonts-powerline
Description: Modular, themeable status line generator for the i3 window manager
 bumblebee-status is a status line generator for the i3 window manager.
 .
 Focus is on:
  * ease of use, sane defaults (no mandatory configuration file)
  * easy creation of custom themes
  * easy creation of custom modules

Package: bumblebee-status-doc
Architecture: all
Section: doc
Depends: ${sphinxdoc:Depends}, ${misc:Depends}
Description: Status line generator for the i3 window manager - documentation
 bumblebee-status is a status line generator for the i3 window manager.
 .
 Focus is on:
  * ease of use, sane defaults (no mandatory configuration file)
  * easy creation of custom themes
  * easy creation of custom modules
 .
 This package contains the documentation for the bumblebee-status package.

=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME = bumblebee-status
export PYBUILD_DESTDIR_python3 = debian/bumblebee-status/
export PYBUILD_DISABLE = test # Upstream tests are broken
export LC_ALL=C.UTF-8
export LANGUAGE=C.UTF-8

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

execute_after_dh_auto_build:
	# Build docs with sphinx
	python3 -m sphinx docs debian/html

execute_after_dh_auto_clean:
	# Remove built docs
	rm -rf debian/html

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/bumblebee-status-$1\.tar\.gz/ \
https://github.com/tobi-wan-kenobi/bumblebee-status/tags .*/?(\d\.\d.\d)\.tar\.gz

## bumblebee-status 2.2.0

=== debian/changelog ===
bumblebee-status (2.2.0-1) unstable; urgency=medium

  * Team upload.

  [ Ben Westover ]
  * Disable blhc in salsa-ci.yml since nothing is being compiled
  * Change arch from any to all since there are no arch-dependent files

  [ Andreas Tille ]
  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)
  * Apply multi-arch hints.
    + bumblebee-status-doc: Add Multi-Arch: foreign.
  * Replace SafeConfigParser deprecated in Python3.12
    Closes: #1058135

 -- Andreas Tille <tille@debian.org>  Wed, 10 Jan 2024 09:22:57 +0100

=== debian/control ===
--- 
+++ 
@@ -5,13 +5,13 @@
 Uploaders: Ben Westover <me@benthetechguy.net>
 Build-Depends:
  debhelper-compat (= 13),
- dh-python,
+ dh-sequence-python3,
  python3-all,
  python3-setuptools,
  python3-sphinx,
  python3-sphinx-rtd-theme,
  python3-tk
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Git: https://salsa.debian.org/python-team/packages/bumblebee-status.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/bumblebee-status
 Homepage: https://github.com/tobi-wan-kenobi/bumblebee-status
@@ -19,7 +19,7 @@
 Testsuite: autopkgtest-pkg-python
 
 Package: bumblebee-status
-Architecture: any
+Architecture: all
 Depends: ${python3:Depends}, ${misc:Depends}, ${shlibs:Depends}
 Recommends: i3-wm, fonts-font-awesome, fonts-powerline
 Description: Modular, themeable status line generator for the i3 window manager
@@ -34,6 +34,7 @@
 Architecture: all
 Section: doc
 Depends: ${sphinxdoc:Depends}, ${misc:Depends}
+Multi-Arch: foreign
 Description: Status line generator for the i3 window manager - documentation
  bumblebee-status is a status line generator for the i3 window manager.
  .

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 export LANGUAGE=C.UTF-8
 
 %:
-	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
+	dh $@ --with sphinxdoc --buildsystem=pybuild
 
 execute_after_dh_auto_build:
 	# Build docs with sphinx
